Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.pluginxml
Class PluginData

    java.lang.Object
      org.hyperic.hq.product.pluginxml.PluginData

    public class PluginData

extends Object

Nested Class Summary
`class` | `PluginData.ServiceExtension`

Field Summary
`static String` | `PLUGIN_PROPERTIES`
`static String` | `PLUGIN_XML`
`static String` | `PLUGINS_PREFIX`

Constructor Summary
`PluginData()`

Method Summary
`void` | `addControlActions(String typeName, List actions)`
`void` | `addCustomPropertiesSchema(String name, org.hyperic.util.config.ConfigSchema schema)`
`void` | `addMetric(String name, MeasurementInfo metric)`
`void` | `addPlugin(String type, String typeName, String implClass)`
`void` | `addServiceInventoryPlugin(String serverType, String serviceType, String name)`
`static void` | `addSharedConfigSchema(String name, org.hyperic.util.config.ConfigSchema schema)`
`void` | `addTypes(TypeInfo[] types)`
`String` | `applyFilters(String s)`
`void` | `deployed()`
`static void` | `deployed(ClassLoader loader)`
`void` | `dumpXML()`
`ClassLoader` | `getClassLoader()`
`List` | `getClassPath()`
`org.hyperic.util.config.ConfigSchema` | `getConfigSchema(String name, int type)`
`org.hyperic.util.config.ConfigSchema` | `getConfigSchema(TypeInfo info, int type)`
`List` | `getControlActions(String typeName)`
`List` | `getControlActions(TypeInfo info)`
`org.hyperic.util.config.ConfigSchema` | `getCustomPropertiesSchema(String name)`
`org.hyperic.util.config.ConfigSchema` | `getCustomPropertiesSchema(TypeInfo info)`
`String` | `getFile()`
`List` | `getFileScanIncludes(String name)`
`String` | `getFilter(String key)`
`static Map` | `getGlobalProperties()`
`static String` | `getGlobalProperty(String key)`
`String` | `getHelp(String name)`
`List` | `getIncludes()`
`static PluginData` | `getInstance(ProductPluginManager manager, ClassLoader loader, String file)`
`List` | `getMetrics(String name)`
`String` | `getName()`
`String` | `getPlugin(String type, String typeName)`
`String` | `getPlugin(String type, TypeInfo info)`
`String` | `getPluginName()`
`Properties` | `getProperties()` Get all defined properites
`String` | `getProperty(String key)` Get a property by name
`List` | `getRegistryScanIncludes(String name)`
`List` | `getRegistryScanKeys(String name)`
`static PluginData.ServiceExtension` | `getServiceExtension(String name)`
`Map` | `getServiceInventoryPlugins(String serverType)`
`TypeInfo[]` | `getTypes()`
`static InputStream` | `openPluginResource(ClassLoader loader, String file)`
`void` | `removeControlActions(String typeName)`
`void` | `removeCustomPropertiesSchema(String name)`
`void` | `removeMetrics(String name)`
`void` | `removePlugins(String typeName)`
`void` | `removeTypes(TypeInfo[] types)`
`void` | `setFile(String file)`
`void` | `setName(String name)`
`void` | `setProperty(String key, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLUGIN_XML

    public static final String PLUGIN_XML

See Also:
  Constant Field Values

### PLUGIN_PROPERTIES

    public static final String PLUGIN_PROPERTIES

See Also:
  Constant Field Values

### PLUGINS_PREFIX

    public static final String PLUGINS_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### PluginData

    public PluginData()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getPluginName

    public String getPluginName()

### getFile

    public String getFile()

### setFile

    public void setFile(String file)

### getClassLoader

    public ClassLoader getClassLoader()

### getIncludes

    public List getIncludes()

### deployed

    public static void deployed(ClassLoader loader)

### getInstance

    public static PluginData getInstance(ProductPluginManager manager,
                                         ClassLoader loader,
                                         String file)
                                  throws PluginException

  Throws:
    `PluginException`

### openPluginResource

    public static InputStream openPluginResource(ClassLoader loader,
                                                 String file)
                                          throws IOException

  Throws:
    `IOException`

### getMetrics

    public List getMetrics(String name)

### addMetric

    public void addMetric(String name,
                          MeasurementInfo metric)

### removeMetrics

    public void removeMetrics(String name)

### getServiceExtension

    public static PluginData.ServiceExtension getServiceExtension(String name)

### addPlugin

    public void addPlugin(String type,
                          String typeName,
                          String implClass)

### removePlugins

    public void removePlugins(String typeName)

### getPlugin

    public String getPlugin(String type,
                            TypeInfo info)

### getPlugin

    public String getPlugin(String type,
                            String typeName)

### addControlActions

    public void addControlActions(String typeName,
                                  List actions)

### removeControlActions

    public void removeControlActions(String typeName)

### getControlActions

    public List getControlActions(TypeInfo info)

### getControlActions

    public List getControlActions(String typeName)

### getTypes

    public TypeInfo[] getTypes()

### addTypes

    public void addTypes(TypeInfo[] types)

### removeTypes

    public void removeTypes(TypeInfo[] types)

### getServiceInventoryPlugins

    public Map getServiceInventoryPlugins(String serverType)

### addServiceInventoryPlugin

    public void addServiceInventoryPlugin(String serverType,
                                          String serviceType,
                                          String name)

### getClassPath

    public List getClassPath()

### getHelp

    public String getHelp(String name)

### getFileScanIncludes

    public List getFileScanIncludes(String name)

### getRegistryScanIncludes

    public List getRegistryScanIncludes(String name)

### getRegistryScanKeys

    public List getRegistryScanKeys(String name)

### getConfigSchema

    public org.hyperic.util.config.ConfigSchema getConfigSchema(TypeInfo info,
                                                                int type)

### getConfigSchema

    public org.hyperic.util.config.ConfigSchema getConfigSchema(String name,
                                                                int type)

### getCustomPropertiesSchema

    public org.hyperic.util.config.ConfigSchema getCustomPropertiesSchema(TypeInfo info)

### getCustomPropertiesSchema

    public org.hyperic.util.config.ConfigSchema getCustomPropertiesSchema(String name)

### addCustomPropertiesSchema

    public void addCustomPropertiesSchema(String name,
                                          org.hyperic.util.config.ConfigSchema schema)

### removeCustomPropertiesSchema

    public void removeCustomPropertiesSchema(String name)

### addSharedConfigSchema

    public static void addSharedConfigSchema(String name,
                                             org.hyperic.util.config.ConfigSchema schema)

### applyFilters

    public String applyFilters(String s)

### getFilter

    public String getFilter(String key)

### setProperty

    public void setProperty(String key,
                            String value)

### getProperty

    public String getProperty(String key)

  Get a property by name

### getProperties

    public Properties getProperties()

  Get all defined properites

### getGlobalProperty

    public static String getGlobalProperty(String key)

### getGlobalProperties

    public static Map getGlobalProperties()

### deployed

    public void deployed()

### dumpXML

    public void dumpXML()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.